Bug 1144897 (CVE-2014-3647)

Summary: CVE-2014-3647 kernel: kvm: noncanonical rip after emulation
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aquini, areis, carnil, dhoward, drjones, ehabkost, fhrbata, kernel-mgr, knoel, mkenneth, mrezanin, mst, mtosatti, nmurray, pbonzini, plougher, rkrcmar, rvrbovsk, security-response-team, stefanha
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20141021,reported=20140908,source=researcher,cvss2=4.4/AV:L/AC:M/Au:S/C:N/I:N/A:C,rhel-5/kvm=affected,rhel-6/kernel=affected,rhel-7/kernel=affected,fedora-all/kernel=affected,cwe=CWE-755
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the Linux kernel's KVM subsystem handled non-canonical addresses when emulating instructions that change the RIP (for example, branches or calls). A guest user with access to an I/O or MMIO region could use this flaw to crash the guest.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:34:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1152993, 1152994, 1152995, 1152996, 1152997    
Bug Blocks: 1144830    

Description Petr Matousek 2014-09-21 22:32:53 UTC
kvm currently mishandles noncanonical addresses when emulating instructions
that change rip (eg branches, calls), potentially causing a failed VM-entry.

A guest user with access to I/O or MMIO region can use this flaw to crash the
guest.

Acknowledgements:

Red Hat would like to thank Nadav Amit for reporting this issue.

Comment 4 Petr Matousek 2014-10-15 10:52:56 UTC
Statement:

This issue does affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7. Future kernel updates may address this issue.

This issue does affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6. The risks associated with fixing this bug are greater than its security impact. This issue is not currently planned to be addressed in future kernel updates for Red Hat Enterprise Linux 6.

This issue does affect the kvm packages as shipped with Red Hat Enterprise Linux 5.

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 6 errata-xmlrpc 2015-11-19 20:20:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2152 https://rhn.redhat.com/errata/RHSA-2015-2152.html

Comment 7 errata-xmlrpc 2015-11-19 23:23:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2152 https://rhn.redhat.com/errata/RHSA-2015-2152.html